# POST /files/{id} URL: https://developers.vsee.io/api/file-upload-api/post/files/%7Bid%7D Auth: User Token — Requires a user access token from login or SSO. Update file info Modify file information (name, title, description) Currently only the `name` field can be modified (deprecated in favor of `meta.title` — coming soon). Parameters: - X-ApiToken (header, string, required) — API token - X-AccountCode (header, string, required) — Account code - id (path, string, required) — File ID Request body (application/x-www-form-urlencoded): - name (string, optional) — File name - meta.title (string, optional) — File title - meta.description (string, optional) — File description Example request: ```json { "name": "string", "meta.title": "string", "meta.description": "string" } ``` Responses: - 200 — Successful update ```json { "data": { "id": "5e1598e7-4118-47ca-84da-0923c71b6977", "name": "test2.jpg", "size": 184259, "ext": "jpg", "meta": { "target": { "id": "350936", "type": "user" }, "category": "user_document" } } } ```